Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.uima.analysis_engine.metadata
Interface SofaMapping

All Superinterfaces:
  Cloneable, MetaDataObject, Serializable, XMLizable

    public interface SofaMapping

extends MetaDataObject

Sofa Name mapping is required to connect the output Sofas from one component to the input Sofa of another component.

A `SofaMapping` object represents mapping of a Sofa name assigned by a component to a Sofa name assigned by an aggregate which could be either an aggregate AE or a CPE. This interface provides methods to set the attributes that define a mapping.

If the component Sofa Name is not set, it defaults to (`CAS.NAME_DEFAULT_SOFA`).

Method Summary
`String` | `getAggregateSofaName()` Get the sofa name assigned by the aggregate.
`String` | `getComponentKey()` Gets the component key.
`String` | `getComponentSofaName()` Gets the sofa name assigned by the component.
`void` | `setAggregateSofaName(String aAggregateSofaName)` Set the sofa name assigned by the aggregate.
`void` | `setComponentKey(String aComponentKey)` Set the component key.
`void` | `setComponentSofaName(String aComponentSofaName)` Set the component assigned sofa name.

Methods inherited from interface org.apache.uima.resource.metadata.MetaDataObject
`clone, equals, getAttributeValue, getSourceUrl, getSourceUrlString, isModifiable, listAttributes, setAttributeValue, setSourceUrl`

Methods inherited from interface org.apache.uima.util.XMLizable
`buildFromXMLElement, buildFromXMLElement, toXML, toXML, toXML, toXML`

Method Detail

### getComponentKey

    String getComponentKey()

  Gets the component key. This identifies the component for which this mapping is defined.

  Returns:
    the key

### setComponentKey

    void setComponentKey(String aComponentKey)

  Set the component key. This identifies the component for which this mapping is defined.

  Parameters:
    `aComponentKey` - the key

### getComponentSofaName

    String getComponentSofaName()

  Gets the sofa name assigned by the component.

  Returns:
    the component's sofa name

### setComponentSofaName

    void setComponentSofaName(String aComponentSofaName)

  Set the component assigned sofa name.

  Parameters:
    `aComponentSofaName` - the component's sofa name

### getAggregateSofaName

    String getAggregateSofaName()

  Get the sofa name assigned by the aggregate.

  Returns:
    the aggregate's sofa name

### setAggregateSofaName

    void setAggregateSofaName(String aAggregateSofaName)

  Set the sofa name assigned by the aggregate.

  Parameters:
    `aAggregateSofaName` - the aggregate's sofa name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 The Apache Software Foundation. All Rights Reserved.